# Uses of Class
org.eclipse.core.runtime.Path

Packages that use Path
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.

## Uses of Path in org.eclipse.core.runtime

Fields in org.eclipse.core.runtime declared as Path
Modifier and Type
Field
Description
`static final Path`
Path.`EMPTY`
Constant value containing the empty path with no device on the local file system.
`static final Path`
Path.`ROOT`
Constant value containing the root path with no device on the local file system.
Methods in org.eclipse.core.runtime that return Path
Modifier and Type
Method
Description
`static Path`
Path.`forPosix(String fullPath)`
Constructs a new POSIX path from the given string path.
`static Path`
Path.`forWindows(String fullPath)`
Constructs a new Windows path from the given string path.